%global enable_tests 1
%global srcname proxy

Name:           nodejs-%{srcname}
Version:        0.2.3
Release:        1%{?dist}
Summary:        An HTTP proxy written with Node.js

# license is in README.md
License:        MIT
URL:            https://github.com/TooTallNate/proxy
Source0:        https://registry.npmjs.org/%{srcname}/-/%{srcname}-%{version}.tgz

BuildArch:      noarch
ExclusiveArch:  %{nodejs_arches} noarch

BuildRequires:  nodejs-packaging

%if 0%{?enable_tests}
BuildRequires:  npm(mocha)
%endif

%description
%{summary}.

%prep
%setup -q -n package
rm -rf node_modules
%nodejs_fixdep debug '0.8.x'

%build
#nothing to do

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{srcname}
cp -pr package.json proxy.js bin/ \
     %{buildroot}%{nodejs_sitelib}/%{srcname}

mkdir -p %{buildroot}%{_bindir}
ln -s %{nodejs_sitelib}/%{srcname}/bin/proxy %{buildroot}%{_bindir}/proxy.js

%nodejs_symlink_deps

%if 0%{?enable_tests}
%check
%nodejs_symlink_deps --check
mocha --reporter spec
%endif

%files
%doc README.md History.md
%{nodejs_sitelib}/%{srcname}
%{_bindir}/proxy.js

%changelog
* Sun Aug 30 2015 Piotr Popieluch <piotr1212@gmail.com> - 0.2.3-1
- Initial package
